{
  "name": "@coscine/resourcecreate",
  "version": "1.23.1",
  "private": true,
  "directories": {
    "doc": "docs"
  },
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "lint": "vue-cli-service lint"
  },
  "dependencies": {
    "@coscine/api-client": "^1.5.0",
    "@coscine/api-connection": "^1.31.0",
    "@coscine/app-util": "^1.9.0",
    "@coscine/component-library": "^1.12.0",
    "@coscine/form-generator": "^1.17.0",
    "@itcenter-layout/bootstrap": "^1.5.6",
    "@itcenter-layout/masterpage": "^1.3.0",
    "@types/jquery": "^3.5.5",
    "@types/vuelidate": "^0.7.14",
    "bootstrap-vue": "^2.21.2",
    "jquery": "^3.6.0",
    "vue": "^2.6.12",
    "vue-i18n": "^8.22.0",
    "vue-material-design-icons": "^4.11.0",
    "vue-multiselect": "^2.1.6",
    "vue-router": "^3.5.1",
    "vue-runtime-helpers": "^1.1.2",
    "vuelidate": "^0.7.6"
  },
  "devDependencies": {
    "@hutson/semantic-delivery-gitlab": "^9.1.0",
    "@semantic-release/commit-analyzer": "^8.0.1",
    "@semantic-release/git": "^9.0.0",
    "@semantic-release/gitlab": "^6.0.9",
    "@semantic-release/npm": "^7.1.1",
    "@semantic-release/release-notes-generator": "^9.0.2",
    "@types/node": "^14.14.37",
    "@types/webpack-env": "^1.13.6",
    "@typescript-eslint/eslint-plugin": "^4.22.0",
    "@typescript-eslint/parser": "^4.22.0",
    "@vue/cli-plugin-eslint": "~4.5.0",
    "@vue/cli-plugin-typescript": "^4.5.12",
    "@vue/cli-service": "^4.5.12",
    "@vue/eslint-config-prettier": "^6.0.0",
    "@vue/eslint-config-typescript": "^7.0.0",
    "conventional-changelog-eslint": "3.0.9",
    "core-js": "^3.10.1",
    "eslint": "^7.24.0",
    "eslint-plugin-prettier": "^3.3.1",
    "eslint-plugin-vue": "^6.2.2",
    "lint-staged": "^9.5.0",
    "prettier": "^2.2.1",
    "semantic-release": "^17.4.2",
    "typescript": "~4.4.4",
    "vue-template-compiler": "^2.6.12"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,vue,ts,tsx}": [
      "vue-cli-service lint",
      "git add"
    ]
  },
  "repository": {
    "type": "git",
    "url": "https://git.rwth-aachen.de/coscine/frontend/apps/resourcecreate.git"
  },
  "license": "MIT",
  "packageManager": "yarn@3.2.1"
}
